| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
cv::softfloat Struct Reference
Core functionality » Utility and system functions and macros » Softfloat support

`#include <opencv2/core/softfloat.hpp>`

Collaboration diagram for cv::softfloat:

## Public Member Functions
| softfloat ()
| Default constructor.
| softfloat (const float a)
| Construct from float.
| softfloat (const int32_t)
| softfloat (const int64_t)
| softfloat (const softfloat &c)
| Copy constructor.
| softfloat (const uint32_t)
| Construct from integer.
| softfloat (const uint64_t)
int | getExp () const
| Get 0-based exponent.
softfloat | getFrac () const
| Get a fraction part.
bool | getSign () const
| Get sign bit.
bool | isInf () const
| Inf state indicator.
bool | isNaN () const
| NaN state indicator.
bool | isSubnormal () const
| Subnormal number indicator.
| operator float () const
| operator softdouble () const
| Type casts
bool | operator!= (const softfloat &) const
softfloat | operator% (const softfloat &) const
| Remainder operator.
softfloat & | operator%= (const softfloat &a)
softfloat | operator* (const softfloat &) const
softfloat & | operator*= (const softfloat &a)
softfloat | operator+ (const softfloat &) const
| Basic arithmetics.
softfloat & | operator+= (const softfloat &a)
softfloat | operator- () const
softfloat | operator- (const softfloat &) const
softfloat & | operator-= (const softfloat &a)
softfloat | operator/ (const softfloat &) const
softfloat & | operator/= (const softfloat &a)
bool | operator< (const softfloat &) const
bool | operator<= (const softfloat &) const
softfloat & | operator= (const softfloat &c)
| Assign constructor.
bool | operator== (const softfloat &) const
| Comparison operations.
bool | operator> (const softfloat &) const
bool | operator>= (const softfloat &) const
softfloat | setExp (int e) const
| Construct a copy with new 0-based exponent.
softfloat | setFrac (const softfloat &s) const
| Construct a copy with provided significand.
softfloat | setSign (bool sign) const
| Construct a copy with new sign bit.

## Static Public Member Functions
static softfloat | eps ()
| Difference between 1 and next representable value.
static const softfloat | fromRaw (const uint32_t a)
| Construct from raw.
static softfloat | inf ()
| Positive infinity constant.
static softfloat | max ()
| Biggest finite value.
static softfloat | min ()
| Smallest normalized value.
static softfloat | nan ()
| Default NaN constant.
static softfloat | one ()
| One constant.
static softfloat | pi ()
| Correct pi approximation.
static softfloat | zero ()
| Zero constant.

## Public Attributes
uint32_t | v

The documentation for this struct was generated from the following file:

- opencv2/core/softfloat.hpp